Bug 982213 - Create a guide describing steps and guidelines to create a quickstart cheat sheet
Create a guide describing steps and guidelines to create a quickstart cheat s...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER5
: EAP 6.2.0
Assigned To: sgilda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 08:08 EDT by sgilda
Modified: 2013-12-15 11:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:18:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sgilda 2013-07-08 08:08:39 EDT
Description of problem:
We need to create cheat sheets for all the quickstarts for availability in JDBS.

The following information was provided by Max:

* http://help.eclipse.org/galileo/index.jsp?topic=/org.eclipse.platform.doc.isv/guide/ua_cheatsheet_guidelines.htm

* http://help.eclipse.org/galileo/topic/org.eclipse.platform.doc.isv/guide/ua_cheatsheet.htm

* Example cheatsheet project at https://github.com/maxandersen/cheatsheet-helloworld


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 sgilda 2013-08-27 10:37:22 EDT
Related issue: https://issues.jboss.org/browse/JBDS-2727
Comment 5 sgilda 2013-09-23 08:42:02 EDT
Mark, this is related to this JIRA: https://issues.jboss.org/browse/JBDS-2727

I created this bug as a reminder that I needed to write the instructions. It was done as an enhancement to help people create cheat sheets for archetypes for JDBS. This doesn't impact the EAP documentation. The instructions are located in the quickstart Github and are pulled into the JDF site. 

The documentation was reviewed by the JBoss tools team. Should this just be marked as verified or closed?
Comment 9 sgilda 2013-10-14 08:15:52 EDT
The instructions can be verified here: https://github.com/jboss-developer/jboss-eap-quickstarts/blob/master/CONTRIBUTING.md#quickstart-cheat-sheet-contributing-guide

The next time the jdf-site is published, it should appear here: http://www.jboss.org/jdf/quickstarts/get-involved/
Comment 10 sgilda 2013-10-14 08:18:38 EDT
This was more of a reminder bug so I would remember to do this. Closing as verified.

Note You need to log in before you can comment on or make changes to this bug.